> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Suno Mashup Lyrics



## OpenAPI

````yaml /openapi/suno.json post /suno/mashup-lyrics
openapi: 3.0.0
info:
  title: Suno Music Generation
  version: 1.0.0
  description: API reference for Suno Music Generation on Ace Data Cloud.
servers:
  - url: https://api.acedata.cloud
    description: Ace Data Cloud API
security:
  - bearerAuth: []
paths:
  /suno/mashup-lyrics:
    post:
      summary: Suno Mashup Lyrics
      parameters:
        - in: header
          name: accept
          schema:
            enum:
              - application/json
            type: string
          required: false
          description: Suno Mashup Lyrics Param Accept
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - lyrics_a
                - lyrics_b
              properties:
                lyrics_a:
                  type: string
                  description: Suno Mashup Lyrics Lyrics A
                lyrics_b:
                  type: string
                  description: Suno Mashup Lyrics Lyrics B
            example:
              lyrics_a: |-
                [Verse]
                Hello world
              lyrics_b: |-
                [Verse]
                Hello world
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                example:
                  success: true
                  task_id: 97aea8af-9274-4f1e-9467-06259b8dbc97
                  data:
                    text: >-
                      Sambuy come back  

                      Bluespawn greenspawn are making you a spawn  


                      你在站里频频回头  

                      我在站外舍不得走  

                      有一种不祥的感受  

                      今天的离别像分手  


                      Sambuy come back  

                      Bluespawn greenspawn are making you a spawn  


                      你消失在人群之中  

                      就像被风吹散的梦  

                      广州南站人潮汹涌  

                      有谁在乎我的心痛  


                      我像个广州的孤儿  

                      我像个多余的孤儿  

                      我像个无助的孤儿  

                      如今又是独自一人  


                      一路平安我爱的人  

                      一路珍重我爱的人  

                      一路平安离去的人  

                      一路珍重远去的人  


                      Sambuy come back  

                      Bluespawn greenspawn are making you a spawn  

                      Sambuy come back  

                      Bluespawn greenspawn are making you a spawn  


                      坐在二号线地铁里  

                      忽然感觉有些委屈  

                      永泰站外飘着细雨  

                      有谁在乎我的哭泣  


                      在注定失眠的夜里  

                      不知如何安慰自己  

                      举杯敬自己和过去  

                      今天终将成为回忆  


                      Sambuy come back  

                      Bluespawn greenspawn are making you a spawn  

                      Sambuy come back  

                      Sambuy come back  


                      我像个广州的孤儿  

                      我像个被弃的孤儿  

                      我像个漂泊的孤儿  

                      如今仍是独自一人  


                      一生平安我爱的人  

                      一生珍重我爱的人  

                      一生平安离去的人  

                      一生珍重远去的人  


                      啦啦啦啦啦啦啦啦  

                      啦啦啦啦啦啦啦啦  

                      Sambuy come back  

                      Sambuy come back  


                      啦啦啦啦啦啦啦啦  

                      啦啦啦啦啦啦啦啦  

                      我像个广州的孤儿  

                      Sambuy come back bluespawn greenspawn are making you a
                      spawn
                    title: Lyrics Mashup
                    tags: []
                    status: complete
                properties:
                  success:
                    type: boolean
                    description: Suno Mashup Lyrics Response 200 Success
                  task_id:
                    type: string
                    description: Suno Mashup Lyrics Response 200 Task Id
                  data:
                    type: object
                    description: Suno Mashup Lyrics Response 200 Data
                    properties:
                      text:
                        type: string
                        description: Suno Mashup Lyrics Response 200 Data Text
                      title:
                        type: string
                        description: Suno Mashup Lyrics Response 200 Data Title
                      tags:
                        type: array
                        description: Suno Mashup Lyrics Response 200 Data Tags
                        items:
                          type: string
                      status:
                        type: string
                        description: Suno Mashup Lyrics Response 200 Data Status
          description: Suno Mashup Lyrics Response 200
        '400':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: The specified token is not matched with API.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Suno Mashup Lyrics Response 400 Error Code
                          message:
                            type: string
                            example: The specified token is not matched with API.
                            description: Suno Mashup Lyrics Response 400 Error Message
                      trace_id:
                        type: string
                        description: Suno Mashup Lyrics Response 400 Trace Id
                  - type: object
                    example:
                      error:
                        code: api_not_implemented
                        message: The API is not implemented.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_not_implemented
                            description: Suno Mashup Lyrics Response 400 Error Code 2
                          message:
                            type: string
                            example: The API is not implemented.
                            description: Suno Mashup Lyrics Response 400 Error Message 2
                      trace_id:
                        type: string
                        description: Suno Mashup Lyrics Response 400 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: disabled
                        message: >-
                          Your application has been disabled by Ace Data Cloud
                          due to abnormal usage behavior, please contact our
                          support to get more information.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: disabled
                            description: Suno Mashup Lyrics Response 400 Error Code 3
                          message:
                            type: string
                            example: >-
                              Your application has been disabled by Ace Data
                              Cloud due to abnormal usage behavior, please
                              contact our support to get more information.
                            description: Suno Mashup Lyrics Response 400 Error Message 3
                      trace_id:
                        type: string
                        description: Suno Mashup Lyrics Response 400 Trace Id 3
                  - type: object
                    example:
                      error:
                        code: bad_request
                        message: model is invalid.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: bad_request
                            description: Suno Mashup Lyrics Response 400 Error Code 4
                          message:
                            type: string
                            example: model is invalid.
                            description: Suno Mashup Lyrics Response 400 Error Message 4
                      trace_id:
                        type: string
                        description: Suno Mashup Lyrics Response 400 Trace Id 4
                  - type: object
                    example:
                      error:
                        code: no_token
                        message: No token specified for the request.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_token
                            description: Suno Mashup Lyrics Response 400 Error Code 5
                          message:
                            type: string
                            example: No token specified for the request.
                            description: Suno Mashup Lyrics Response 400 Error Message 5
                      trace_id:
                        type: string
                        description: Suno Mashup Lyrics Response 400 Trace Id 5
          description: Suno Mashup Lyrics Response 400
        '401':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: invalid_token
                        message: The specified token is invalid or wrong.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: invalid_token
                            description: Suno Mashup Lyrics Response 401 Error Code
                          message:
                            type: string
                            example: The specified token is invalid or wrong.
                            description: Suno Mashup Lyrics Response 401 Error Message
                      trace_id:
                        type: string
                        description: Suno Mashup Lyrics Response 401 Trace Id
                  - type: object
                    example:
                      error:
                        code: token_expired
                        message: token expired.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_expired
                            description: Suno Mashup Lyrics Response 401 Error Code 2
                          message:
                            type: string
                            example: token expired.
                            description: Suno Mashup Lyrics Response 401 Error Message 2
                      trace_id:
                        type: string
                        description: Suno Mashup Lyrics Response 401 Trace Id 2
                  - type: object
                    example:
                      error:
                        code: token_mismatched
                        message: token and api does not match.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: token_mismatched
                            description: Suno Mashup Lyrics Response 401 Error Code 3
                          message:
                            type: string
                            example: token and api does not match.
                            description: Suno Mashup Lyrics Response 401 Error Message 3
                      trace_id:
                        type: string
                        description: Suno Mashup Lyrics Response 401 Trace Id 3
          description: Suno Mashup Lyrics Response 401
        '403':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: used_up
                        message: >-
                          Your balance is not sufficient for current request,
                          please buy more in Ace Data Cloud.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: used_up
                            description: Suno Mashup Lyrics Response 403 Error Code
                          message:
                            type: string
                            example: >-
                              Your balance is not sufficient for current
                              request, please buy more in Ace Data Cloud.
                            description: Suno Mashup Lyrics Response 403 Error Message
                      trace_id:
                        type: string
                        description: Suno Mashup Lyrics Response 403 Trace Id
          description: Suno Mashup Lyrics Response 403
        '404':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: no_api
                        message: API does not exist, please make sure url is correct.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: no_api
                            description: Suno Mashup Lyrics Response 404 Error Code
                          message:
                            type: string
                            example: >-
                              API does not exist, please make sure url is
                              correct.
                            description: Suno Mashup Lyrics Response 404 Error Message
                      trace_id:
                        type: string
                        description: Suno Mashup Lyrics Response 404 Trace Id
          description: Suno Mashup Lyrics Response 404
        '429':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: too_many_requests
                        message: You have exceeded the rate limit.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: too_many_requests
                            description: Suno Mashup Lyrics Response 429 Error Code
                          message:
                            type: string
                            example: You have exceeded the rate limit.
                            description: Suno Mashup Lyrics Response 429 Error Message
                      trace_id:
                        type: string
                        description: Suno Mashup Lyrics Response 429 Trace Id
          description: Suno Mashup Lyrics Response 429
        '500':
          content:
            application/json:
              schema:
                oneOf:
                  - type: object
                    example:
                      error:
                        code: api_error
                        message: Internal server error.
                      trace_id: 2efa9340-b21b-4e26-9e14-4aac95f343ab
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            example: api_error
                            description: Suno Mashup Lyrics Response 500 Error Code
                          message:
                            type: string
                            example: Internal server error.
                            description: Suno Mashup Lyrics Response 500 Error Message
                      trace_id:
                        type: string
                        description: Suno Mashup Lyrics Response 500 Trace Id
          description: Suno Mashup Lyrics Response 500
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API token from https://platform.acedata.cloud

````